Bug 110428 - gunzip fails with error on valid compressed files
gunzip fails with error on valid compressed files
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gzip (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-19 10:27 EST by Nick Strugnell
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-01 03:19:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Strugnell 2003-11-19 10:27:14 EST
Description of problem: 
 
gunzip fails on decompressing lnx_920_disk2.cpio.gz from 
http://otn.oracle.com/software/products/oracle9i/htdocs/linuxsoft.html 
with following error: 
 
gunzip: lnx_920_disk2.cpio.gz: invalid compressed data--format 
violated 
 
This archive unpacks fine on RHEL 3AS using gzip-1.3.3-9 
 
Version-Release number of selected component (if applicable): 
 
1.3-15 
 
How reproducible: 
 
always 
 
Steps to Reproduce: 
1. Download indicated file from OTN 
2. gunzip 
3. 
   
Actual results: 
 
Error message reported above 
 
Expected results: 
 
successful unpack of file 
Additional info:
Comment 2 Tomas Mraz 2005-03-22 08:11:28 EST
How big is the file compressed and uncompressed? Do you have any other file
which fails on 2.1 and gunzips fine on RHEL3 as the lnx_920_disk2.cpio.gz is no
longer on the Oracle web page.

Comment 3 Ivana Varekova 2005-07-01 03:19:05 EDT
I'm closing this bug. 
If anybody can reproduce this problem feel free to reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.